## org.biojava.bio.gui.sequence
Class ArrowedFeatureRenderer

    java.lang.Object
      org.biojava.bio.gui.sequence.ArrowedFeatureRenderer

All Implemented Interfaces:
  FeatureRenderer

    public class ArrowedFeatureRenderer

extends Object
implements FeatureRenderer

A Feature Renderer that paints the Feature as a right facing arrow Based heavily on BasicFeatureRenderer

Since:
  1.5
Author:
  Mark Southern

Constructor Summary
`ArrowedFeatureRenderer()`

Method Summary
`double` `getArrowHeadSize()`
`double` `getArrowScoop()`
`double` `getArrowSize()`
`double` `getDepth(SequenceRenderContext src)`
`Paint` `getFill()`
`Paint` `getOutline()`
`FeatureHolder` `processMouseEvent(FeatureHolder hits, SequenceRenderContext src, MouseEvent me)`
`void` `renderFeature(Graphics2D g, Feature f, SequenceRenderContext src)`
`void` `setArrowHeadSize(double d)`
`void` `setArrowScoop(double arrowScoop)`
`void` `setArrowSize(double arrowSize)`
`void` `setFill(Paint p)`
`void` `setOutline(Paint p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrowedFeatureRenderer

    public ArrowedFeatureRenderer()

Method Detail

### setFill

    public void setFill(Paint p)

### getFill

    public Paint getFill()

### setOutline

    public void setOutline(Paint p)

### getOutline

    public Paint getOutline()

### setArrowSize

    public void setArrowSize(double arrowSize)

### getArrowSize

    public double getArrowSize()

### setArrowScoop

    public void setArrowScoop(double arrowScoop)

### getArrowScoop

    public double getArrowScoop()

### setArrowHeadSize

    public void setArrowHeadSize(double d)

### getArrowHeadSize

    public double getArrowHeadSize()

### renderFeature

    public void renderFeature(Graphics2D g,
                              Feature f,
                              SequenceRenderContext src)

  Specified by:
    `renderFeature` in interface `FeatureRenderer`

### getDepth

    public double getDepth(SequenceRenderContext src)

  Specified by:
    `getDepth` in interface `FeatureRenderer`

### processMouseEvent

    public FeatureHolder processMouseEvent(FeatureHolder hits,
                                           SequenceRenderContext src,
                                           MouseEvent me)

  Specified by:
    `processMouseEvent` in interface `FeatureRenderer`